For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
      • GETGet approval policies
      • POSTCreate an approval policy
      • GETGet an approval policy by ID
      • DELDelete an approval policy
      • PATCHUpdate an approval policy
      • GETGet approval processes created from a policy
      • GETGet an approval process by ID
      • POSTCancel an approval process
      • GETGet the steps of an approval process
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts payableApproval policies

Get approval policies

GET
/approval_policies
GET
/v1/approval_policies
$curl https://api.sandbox.monite.com/v1/approval_policies \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "id",
5 "created_at": "2024-01-15T09:30:00Z",
6 "updated_at": "2024-01-15T09:30:00Z",
7 "created_by": "created_by",
8 "name": "name",
9 "script": [
10 true
11 ],
12 "status": "active",
13 "description": "description",
14 "ends_at": "2024-01-15T09:30:00Z",
15 "priority": 1,
16 "starts_at": "2024-01-15T09:30:00Z",
17 "trigger": true,
18 "updated_by": "updated_by"
19 }
20 ],
21 "next_pagination_token": "next_pagination_token",
22 "prev_pagination_token": "prev_pagination_token"
23}
Retrieve a list of all approval policies with pagination.
Was this page helpful?
Previous

Create an approval policy

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Query parameters

process_idstringOptionalformat: "uuid"
orderenumOptional

Sort order (ascending by default). Typically used together with the sort parameter.

Allowed values:
limitintegerOptional1-100Defaults to 100

The number of items (0 .. 100) to return in a single page of the response. The response may contain fewer items if it is the last or only page.

pagination_tokenstringOptional

A pagination token obtained from a previous call to this endpoint. Use it to get the next or previous page of results for your initial query. If pagination_token is specified, all other query parameters are ignored and inferred from the initial query.

If not specified, the first page of results will be returned.

sortenumOptional

The field to sort the results by. Typically used together with the order parameter.

Allowed values:
id__instringOptionalformat: "uuid"
statusenumOptional
Allowed values:
status__inenumOptional
Allowed values:
namestringOptional
name__containsstringOptional
name__ncontainsstringOptional
created_bystringOptionalformat: "uuid"
created_at__gtdatetimeOptional
created_at__ltdatetimeOptional
created_at__gtedatetimeOptional
created_at__ltedatetimeOptional
updated_at__gtdatetimeOptional
updated_at__ltdatetimeOptional
updated_at__gtedatetimeOptional
updated_at__ltedatetimeOptional

Response

Successful Response
datalist of objects
next_pagination_tokenstring

A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page (i.e. you’ve reached the last page).

prev_pagination_tokenstring

A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page (i.e. you’ve reached the first page).

Errors

401
Get Approval Policies Request Unauthorized Error
409
Get Approval Policies Request Conflict Error
422
Get Approval Policies Request Unprocessable Entity Error
429
Get Approval Policies Request Too Many Requests Error